---
title: titleProps Chart API
description: "API Index | titleProps"
api_reference: true
slug: api_chart_titleprops
---

# TitleProps

### title-align `String`

The alignment of the title.

The supported values are;

* `center`&mdash;The text is aligned to the middle.
* `left`&mdash;The text is aligned to the left.
* `right`&mdash;The text is aligned to the right.

### title-background `String`

The background color of the title. Accepts any valid CSS color string, including hex and rgb.

### title-border-color `String`

The color of the border. Accepts any valid CSS color string, including hex and rgb.

### title-border-dash-type `String`

The dash type of the chart title border.

The supported dash types are:

* `dash`&mdash;A line that consists of dashes.
* `dashDot`&mdash;A line that consists of a repeating dash-dot pattern.
* `dot`&mdash;A line that consists of dots.
* `longDash`&mdash;A line that consists of a repeating long-dash pattern.
* `longDashDot`&mdash;A line that consists of a repeating long-dash-dot pattern.
* `longDashDotDot`&mdash;A line that consists of a repeating long-dash-dot-dot.
* `solid`&mdash;A solid line.

### title-border-width `Number`

The width (in pixels) of the border. By default, the border width is set to zero which means that the border will not appear.

### title-color `String`

The text color of the title. Accepts any valid CSS color string, including hex and rgb.

### title-font `String`

The font of the title.

### title-margin `Number`

The margin of the title. A numeric value will set all margins.

### title-margin-bottom `Number`

The bottom margin of the title.

### title-margin-left `Number`

The left margin of the title.

### title-margin-right `Number`

The right margin of the title.

### title-margin-top `Number`

The top margin of the title.

### title-padding `Number`

The padding of the title. A numeric value will set all margins.

### title-padding-bottom `Number`

The bottom padding of the title.

### title-padding-left `Number`

The left padding of the title.

### title-padding-right `Number`

The right padding of the title.

### title-padding-top `Number`

The top padding of the title.

### title-position `String`

The position of the title.

The supported values are:

* `bottom`&mdash;The title is positioned on the bottom.
* `top`&mdash;The title is positioned on the top.

### title-text `String`

The text of the chart title. You can also set the text directly for a title with default options.

### title-visible `Boolean`

If `title-visible` is set to `true`, the Chart will display the title. By default, the title will be displayed.

## Suggested Links

* [`Title` in Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart/configuration/title)
