---
title: Glossary
page_title: Glossary - Charts - Kendo UI for Vue
description: "Definitions of terms used in the Kendo UI Charts wrapper package for Vue."
slug: glossary_charts
position: 49
---

# Glossary

The following list provides definitions of:
* [Common terms in the documentation for the Kendo UI suite for Vue](#toc-common-terms)
* [Specific terms in the documentation for the Kendo UI Charts for Vue](#toc-specific-terms)

## Common Terms

### Component

A Kendo UI wrapper component for Vue.

### Package

A package contains one or more components which are stored in a single repository and distributed as a single NPM package.

## Specific Terms

### Axis

(*Plural **axes***) A fixed reference line for the measuring coordinates.

### Chart Area

A container for all Chart elements.

### Crosshairs

Lines which are perpendicular to the axes and enable the user to see the exact value at the current cursor position.

### Error Bars

Indicate the variability of the Chart data.

### Plot Area

A container for the data that is enclosed between the axes.

### Plot Band

Highlights the specific range of an axis.

### Series

(*Plural **series***) A list of data points with a set visualization type&mdash;for example, `line`, `column`, and others. The data points can be plain numbers, arrays (tuples), or objects.

### Tuple

A data structure which consists of multiple parts&mdash;for example, `(1, 2)`, `('a', 'b', 4)`. In JavaScript, tuples are typically represented as arrays.

## Suggested Links

* [Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/controls/charts/overview)
* [API Reference of the Chart Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart)
