---
title: Waterfall
page_title: Waterfall Series Type - Chart - Kendo UI for Vue
description: "Basic usage of the Kendo UI Waterfall Charts in Vue projects."
slug: waterfall_seriestypes_charts
---

# Waterfall

Waterfall charts are Categorical charts which display the cumulative effect of sequentially introduced positive or negative values.

## Basic Usage

The following example demonstrates the Waterfall chart in action.

{% meta height:460 %}
{% embed_file series-types/waterfall/basic-usage/main.vue preview %}
{% embed_file series-types/waterfall/basic-usage/main.js %}
{% endmeta %}

## Horizontal Waterfall Charts

A horizontal Waterfall chart type shows the cumulative effect of positive or negative values on the starting point. You can use it to provide a better understanding of how an initial amount is influenced by subsequently added positive or negative values. A horizontal Waterfall chart is useful for different types of quantitative analysis related to inventory, cash flows, performance, etc. This chart type looks like a Range Bar chart where the low or high value of a subsequent item is connected to the preceding one with a thin line.

{% meta height:460 %}
{% embed_file series-types/waterfall/horizontal/main.vue preview %}
{% embed_file series-types/waterfall/horizontal/main.js %}
{% endmeta %}


## Suggested Links

* [Kendo UI Chart for jQuery](https://docs.telerik.com/kendo-ui/controls/charts/overview)
* [API Reference of the Chart Widget](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/chart)
